//<!--

function CheckBrowserVersion() {
	var supported = false;
	var appName = navigator.appName;
	var appVersion = navigator.appVersion;

	if (appName.indexOf("Microsoft") == 0 && appVersion.substring(0, 1) >= "3") 
	{
	    supported = true; 
	} 
	else 
	{
	    if ((appName.indexOf("Netscape") == 0 || appName.indexOf("Mozilla") == 0) && 
		(appVersion.substring(0, 1) >= "3" || appVersion.indexOf("Mozilla") > -1)) 
	    {
		if (appVersion.substring(0, 1) == "3" && appVersion.indexOf("X11") > -1)
		{
			supported = false;
		}
		else
		{
			if (appVersion.substring(0, 1) == "3" && appVersion.indexOf("Macintosh") > -1)
				supported = false;
			else
				supported = true;
		}
	    }
	}   

	if (!supported) 
	{
		this.location = gJSBrowserNotSupportedURL;
	}
}

CheckBrowserVersion();

function trim_string(urstr) { 
	// removes leading and trailing spaces, and returns the shortened string
	var i = 0;
	var j = 0;

	for (i=0; i<urstr.length; i++) {
		if (urstr.charAt(i) != " ") {
			for (j=urstr.length - 1; j > i; j--) {
				if (urstr.charAt(j) != " ")
				break;
			}
			break;
		}
	}
	if (i > j)
		i = j;
	if (urstr.length > 0 && urstr.charAt(j) != " ")
		j++;

	return urstr.substring(i, j);
}

function trim_field(fd) {
	var trimmed = trim_string(document.proform.elements[fd].value);
	document.proform.elements[fd].value = trimmed;
}

function check_field_usernamereg(fd) {
	if (fd == "U2_USERNAME") {
		if ((document.proform.elements[fd].value.length < 3)) {
			alert(gJSAlertUsernameTooShort);
			return false;
		} else if (!validate_username_reg(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidUsernameReg);
			return false;
		}
		return true;
	}
	return true;
}

function check_field_passwordreg(fd) {  
	if (fd == "U2_PASSWORD") {
 	if ((document.proform.elements[fd].value.length < 4)) {
 		alert(gJSAlertInvalidPasswordReg); 
 		return false;
 	} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
 		alert(gJSAlertInvalidCharFoundInPassword);
 		return false;
 	}
 	return true;
	}
	return true;
}

//function check_bad_login_password(fd) {  
//	if (fd == "U2_PASSWORD") {
//		if ((document.proform.elements[fd].value.length < 1)) {
//			alert(gJSAlertInvalidPasswordReg); 
//			return false;
//		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
//			alert(gJSAlertInvalidCharFoundInPassword);
//			return false;
//		}
//		return true;
//	}
//	return true;
//}

function check_field_passwordlogin(fd) {  
	if (fd == "U2_PASSWORD") {
// 	if ((document.proform.elements[fd].value.length < 4)) {
//		alert(gJSAlertInvalidPasswordReg); 
// 		return false;
//	} else 
		if (!validate_ascii_data(document.proform.elements[fd].value)) {
 			alert(gJSAlertInvalidCharFoundInPassword);
 			return false;
 		}
		return true;
	}
	return true;
}

function validate_login() {  
	if (check_field_usernamereg("U2_USERNAME") && check_field_passwordlogin("U2_PASSWORD")) {
//		var username = document.proform.U2_USERNAME.value.toLowerCase();
//		var password = document.proform.U2_PASSWORD.value.toLowerCase();

//		if (username == password) {
//			alert(gJSAlertUsernameEqualsPassword); 
//			return false;
//		}

		return true;
	}
	return false;
}

//function validate_bad_login() {  
//	if (check_field_usernamereg("U2_USERNAME") && check_bad_login_password("U2_PASSWORD")) {
//		var username = document.proform.U2_USERNAME.value.toLowerCase();
//		var password = document.proform.U2_PASSWORD.value.toLowerCase();
//
//		if (username == password) {
//			alert(gJSAlertUsernameEqualsPassword); 
//			return false;
//		}
//
//		return true;
//	}
//	return false;
//}

function check_field(fd) {  
	if (fd != "U2_STATE" && fd != "U2_COUNTRY" && fd != "U2_AGE_RANGE")
		trim_field(fd);

	if (fd == "U2_USERNAME" || fd == "U2_USERNAME_2") {
		if (document.proform.elements[fd].value.length < 3 || document.proform.elements[fd].value.length > 16) {
			alert(gJSAlertUsernameTooShort);
			return false;
		} else if (!validate_username_reg(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidUsernameReg);
			return false;
		}
		return true;
	} else if (fd == "U2_PASSWORD") {
		if (document.proform.elements[fd].value.length < 3) {
			alert(gJSAlertPasswordTooShort); 
			return false;
		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidCharFoundInPassword);
			return false;
		}
		return true;
	} else if (fd == "U2_CONFIRM") {
		if (document.proform.elements[fd].value.length < 3) {
			alert(gJSAlertConfirmationTooShort); 
			return false;
		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidCharFoundInPassword);
			return false;
		}
		return true;
	} else if (fd == "U2_EMAIL") {
		if (document.proform.elements[fd].value != 'NETMAIL') {
			if (document.proform.elements[fd].value.length == 0) {
				alert(gJSAlertEmailAddrNotEntered); 
				return false;
			} else if (!validate_email(document.proform.elements[fd].value))
				return false;
		}
	} else if (fd == "U2_EMAIL") {
		if (document.proform.elements[fd].value.length == 0) {
			alert(gJSAlertEmailAddrNotEntered); 
			return false;
		} else if (!validate_email(document.proform.elements[fd].value))
			return false;
	} else if (fd == "U2_ALT_EMAIL") {
		if (document.proform.elements[fd].value.length == 0) {
			alert(gJSAlertSecondEmailAddrNotEntered); 
			return false;
		} else if (!validate_email(document.proform.elements[fd].value))
			return false;
	} else if (fd == "U2_FIRST_NAME") {
		if (document.proform.elements[fd].value.length == 0) {
			alert(gJSAlertFirstNameNotEntered); 
			return false;
		} else if (!validate_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidFirstName);
			return false;
		}
	} else if (fd == "U2_LAST_NAME") {
		if (document.proform.elements[fd].value.length == 0) {
			alert(gJSAlertLastNameNotEntered); 
			return false;
		} else if (!validate_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidLastName);
			return false;
		}
	} else if ((fd == "U2_ADDR_LINE1" || fd == "U2_STREET_1") && document.proform.elements[fd].value.length && !validate_data(document.proform.elements[fd].value)) {
		alert(gJSAlertInvalidStreetAddr);
		return false;
	} else if (fd == "U2_CITY" && document.proform.elements[fd].value.length && !validate_data(document.proform.elements[fd].value)) {
		alert(gJSAlertInvalidCityName);
		return false;
	} else if (fd == "U2_POSTAL_CODE") {
		if (document.proform.elements[fd].value.length < 1) {
			alert(gJSAlertPostalCodeNotEntered); 
			return false;
		} else if (!validate_data (document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidPostalCode);
			return false;
		}
	} else if (fd == "U2_COUNTRY" && document.proform.elements[fd].options[document.proform.elements[fd].selectedIndex].value == "!NOT_SELECTED!") {
		alert(gJSAlertNoCountrySelected);
		return false;
	} else if (fd == "U2_AGE_RANGE" && document.proform.elements[fd].options[document.proform.elements[fd].selectedIndex].value == "!NOT_SELECTED!") {
		alert(gJSAlertNoAgeRangeSelected);
		return false;
//	} else if (fd == "U2_AGE_RANGE" && document.proform.elements[fd].options[document.proform.elements[fd].selectedIndex].value == "ANS086") {
//		alert(gJSAlertUnder13AgeRangeSelected);
//		return false;
	}
	return true;
}

function check_all_fields_new() {
	if (check_field_usernamereg("U2_USERNAME") &&
		check_field_passwordreg("U2_PASSWORD") &&
		check_field_passwordreg("U2_CONFIRM")  &&
		check_field("U2_EMAIL") &&
//		check_field("U2_ALT_EMAIL") &&
		check_field("U2_FIRST_NAME") &&
		check_field("U2_LAST_NAME") &&
		check_field("U2_ADDR_LINE1") &&
		check_field("U2_CITY") &&
		check_field("U2_STATE") &&
		check_field("U2_COUNTRY") &&
		check_field("U2_AGE_RANGE") &&
		check_field("U2_POSTAL_CODE")) {

		var username = document.proform.U2_USERNAME.value.toLowerCase();
		var password = document.proform.U2_PASSWORD.value.toLowerCase();
		var confirm = document.proform.U2_CONFIRM.value.toLowerCase();

		if (username == password) {
			alert(gJSAlertUsernameEqualsPassword); 
			return false;
		}
 
		if (document.proform.U2_PASSWORD.value != document.proform.U2_CONFIRM.value) {
			alert(gJSAlertPasswordDoesntMatchConfirmation); 
			return false;
		}

		return true;
	}
	return false;
}

function check_all_fields_aim_new() {
	if (check_field_usernamereg("U2_USERNAME") &&
		check_field_passwordreg("U2_PASSWORD") &&
		check_field("U2_EMAIL") &&
//		check_field("U2_ALT_EMAIL") &&
		check_field("U2_FIRST_NAME") &&
		check_field("U2_LAST_NAME") &&
		check_field("U2_ADDR_LINE1") &&
		check_field("U2_CITY") &&
		check_field("U2_STATE") &&
		check_field("U2_COUNTRY") &&
		check_field("U2_AGE_RANGE") &&
		check_field("U2_POSTAL_CODE")) {

		var username = document.proform.U2_USERNAME.value.toLowerCase();
		var password = document.proform.U2_PASSWORD.value.toLowerCase();

		if (username == password) {
			alert(gJSAlertUsernameEqualsPassword); 
			return false;
		}
 		return true;
	}
	return false;
}

function check_all_webmail_fields_new() {
	if (check_field_usernamereg("U2_USERNAME") &&
		check_field_passwordreg("U2_PASSWORD") &&
		check_field_passwordreg("U2_CONFIRM")  &&
		check_field("U2_EMAIL") &&
		check_field("U2_ALT_EMAIL") &&
		check_field("U2_FIRST_NAME") &&
		check_field("U2_LAST_NAME") &&
		check_field("U2_ADDR_LINE1") &&
		check_field("U2_CITY") &&
		check_field("U2_STATE") &&
		check_field("U2_COUNTRY") &&
		check_field("U2_AGE_RANGE") &&
		check_field("U2_POSTAL_CODE")) {

		var username = document.proform.U2_USERNAME.value.toLowerCase();
		var password = document.proform.U2_PASSWORD.value.toLowerCase();
		var confirm = document.proform.U2_CONFIRM.value.toLowerCase();

		if (username == password) {
			alert(gJSAlertUsernameEqualsPassword); 
			return false;
		}
 
		if (document.proform.U2_PASSWORD.value != document.proform.U2_CONFIRM.value) {
			alert(gJSAlertPasswordDoesntMatchConfirmation); 
			return false;
		}

		return true;
	}
	return false;
}

function check_all_fields_edit_profile() {
	if (check_field("U2_EMAIL") &&
//		check_field("U2_ALT_EMAIL") &&
		check_field("U2_FIRST_NAME") &&
		check_field("U2_LAST_NAME") &&
		check_field("U2_ADDR_LINE1") &&
		check_field("U2_CITY") &&
		check_field("U2_STATE") &&
		check_field("U2_AGE_RANGE") &&
		check_field("U2_COUNTRY") &&
		check_field("U2_POSTAL_CODE")) {

		// all fields are ok
		return true;
	}
	return false;
}

function check_all_fields_edit_pword() {
	if (check_mc_field("U2_PASSWORD") &&
		check_mc_field("U2_CONFIRM")  &&
		check_mc_field("U2_HINT")) {

		var username = document.proform.U2_USERNAME.value.toLowerCase();
		var password = document.proform.U2_PASSWORD.value.toLowerCase();
		var confirm = document.proform.U2_CONFIRM.value.toLowerCase();

		if (username == password) {
			alert(gJSAlertUsernameEqualsPassword); 
			return false;
		}
 
		if (document.proform.U2_PASSWORD.value != document.proform.U2_CONFIRM.value) {
			alert(gJSAlertPasswordDoesntMatchConfirmation); 
			return false;
		}

		// all fields are ok
		return true;
	}
	return false;
}

function validate_edit_password() {
	if (validate_field_password_field("U2_PASSWORD") && validate_field_password_field("U2_PASSWORD_2")  && validate_field_password_field("U2_CONFIRM")) {

		var username = document.proform.U2_USERNAME.value.toLowerCase();
		var old_passwd = document.proform.U2_PASSWORD.value.toLowerCase();
		var new_passwd = document.proform.U2_PASSWORD_2.value.toLowerCase();
		var confirm_passwd = document.proform.U2_CONFIRM.value.toLowerCase();

		if (username == new_passwd) {
			alert(gJSAlertUsernameEqualsPassword); 
			return false;
		}
 
		if (new_passwd != confirm_passwd) {
			alert(gJSAlertPasswordDoesntMatchConfirmation); 
			return false;
		}

		return true;
	}
	return false;
}

function validate_field_password_field(fd) {  
	if (fd == "U2_PASSWORD") {
		if (document.proform.elements[fd].value.length == 0) {
			alert(gJSAlertOldPasswordNotEntered); 
			return false;
		}
	} else {
		if ((document.proform.elements[fd].value.length < 4) || (document.proform.elements[fd].value.length > 16)) {
			alert(gJSAlertInvalidPasswordReg); 
			return false;
		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidCharFoundInPassword);
			return false;
		}
	}
	return true;
}


function check_mc_field(fd) { // old function, use validate_field_password_field()
	if (fd == "U2_PASSWORD") {
		if (document.proform.elements[fd].value.length == 0)
			return true;
		if ((document.proform.elements[fd].value.length < 4) || 
			(document.proform.elements[fd].value.length > 16)) {
			alert(gJSAlertInvalidPasswordReg); 
			return false;
		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidCharFoundInPassword);
			return false;
		}
		return true;
	} else if (fd == "U2_CONFIRM") {
		if (document.proform.elements[fd].value.length == 0)
			return true;
		if ((document.proform.elements[fd].value.length < 4) || 
			(document.proform.elements[fd].value.length > 16)) {
			alert(gJSAlertInvalidPasswordReg); 
			return false;
		} else if (!validate_ascii_data(document.proform.elements[fd].value)) {
			alert(gJSAlertInvalidCharFoundInPassword);
			return false;
		}
		return true;
	}
	return true;
}

function validate_ascii_data(urstr) {
	var i; 
	var result;

	for (i=0; i<urstr.length; i++) {
		if ((urstr.charAt(i) < " ") || (urstr.charAt(i) > "~"))
			return false;
	}
	return true;
}

function validate_data(urstr) {
	return true;
}

function validate_alphanumeric_data(urstr) {
	var i;
	var result;

	for (i=0; i<urstr.length; i++) {
		if (((urstr.charAt(i) >= "A") && (urstr.charAt(i) <= "Z")) ||
			((urstr.charAt(i) >= "a") && (urstr.charAt(i) <= "z")) ||
			((urstr.charAt(i) >= "0") && (urstr.charAt(i) <= "9")))
			result = true;
		else 
			return false;
	}

	if (result == true)
		return true;
}

function validate_username(urstr) { 
	// validate user name, must be in alphanumeric value 
	var i;
	var result;
	var allowedchar = gJSU2ValidUsernameChars;

	for (i=0; i<urstr.length; i++) {
		if (allowedchar.indexOf(urstr.charAt(i)) < 0)
			return false;
		else
			result = true;
	}

	if (result == true)
		return true;
}

function validate_username_reg(urstr) { 
	// validate user name, must be in alphanumeric value 
	var i;
	var result;
	var allowedchar = gJSU2ValidUsernameCharsReg;

	// return false if first char is numeric
	if ((urstr.charAt(0) >= "0") && (urstr.charAt(0) <= "9"))
		return false;

	for (i=0; i<urstr.length; i++) {
		if (allowedchar.indexOf(urstr.charAt(i)) < 0)
			return false;
		else
			result = true;
	}

	if (result == true)
		return true;
}

function validate_email(email) {
	if (!validate_ascii_data (email)) {
		alert(gJSAlertInvalidCharFoundInEmailAddr);
		return false;
	}

	var invalidChars = gJSU2InvalidEmailChars;

	for (var i = 0; i < invalidChars.length; i++) {
		if (email.indexOf(invalidChars.charAt(i)) != -1) {
			alert(gJSAlertInvalidCharFoundInEmailAddr);
			return false;
		}
	}
 
	if (email.indexOf("@") == -1) {
		alert(gJSAlertAtSignMissingInEmailAddr);
		return false;
	}
 
	if (email.indexOf(" ") != -1) {
		alert(gJSAlertAtSignMissingInEmailAddr);
		return false;
	}

	if (window.RegExp) {
		var reg1str = "(@.*@)|(\\.\\.)|(@\\.)|(\\.@)|(^\\.)";
		var reg2str = "^.+\\@(\\[?)[a-zA-Z0-9\\-\\.]+\\.([a-zA-Z]{2,3}|[0-9]{1,3})(\\]?)$";
    
		var reg1 = new RegExp (reg1str);
		var reg2 = new RegExp (reg2str);

		if (reg1.test(email) || !reg2.test(email)) {
			alert(gJSAlertAtSignMissingInEmailAddr);
			return false;
		}
	}
	return true;
}

function pwdSyncFormCheck() {
	if (document.proform.U2_OPTIONS[1].checked) {
		if(document.proform.U2_PASSWORD_2.value == "") {
			alert (gJSAlertPasswordTooShort);
			return false;
		}
	}
	return true;
}

function userNameInputFieldChanged() {
	if (suggestion_count > 1)
		document.proform.U2_USERNAME[suggestion_count-1].checked = true;
	else
		document.proform.U2_USERNAME.checked = true;
}

function formCheck() {
	if (suggestion_count > 1) {
		if (document.proform.U2_USERNAME[suggestion_count-1].checked && document.proform.U2_USERNAME_2.value == "") {
			alert (gJSAlertNoUserNameSuggestionSelected);
			return false;
		}
		if (document.proform.U2_USERNAME[suggestion_count-1].checked && check_field("U2_USERNAME_2") == false)
			return false;

		if (document.proform.U2_USERNAME[suggestion_count-1].checked && document.proform.U2_USERNAME_2.value != "") {
			document.proform.U2_USERNAME[suggestion_count-1].value = document.proform.U2_USERNAME_2.value;
		}
	} else {
		if (document.proform.U2_USERNAME.checked && document.proform.U2_USERNAME_2.value == "") {
			alert (gJSAlertNoUserNameSuggestionSelected);
			return false;
		}

		if (document.proform.U2_USERNAME.checked && check_field("U2_USERNAME_2") == false)
			return false;
		if (document.proform.U2_USERNAME.checked && document.proform.U2_USERNAME_2.value != "") {
			document.proform.U2_USERNAME.value = document.proform.U2_USERNAME_2.value;
		}
	}
	return true;
}

function set_netmail_email() 
{
	if (document.proform["U2_USE_NETMAIL"] &&  document.proform["U2_USE_NETMAIL"].checked) {
		document.proform.U2_EMAIL.value="NETMAIL";
	} else {
		document.proform.U2_EMAIL.value=document.proform.U2_EMAIL2.value;
	}
}
//-->
